Name: xosview
Version: 1.8.3
Release: alt1

Summary: An X Window System utility for monitoring system resources
Group: Monitoring
License: GPL
Url: http://%name.sourceforge.net/

Source: http://prdownloads.sourceforge.net/%name-%version.tar.bz2
Source1: xosview.menu
Source2: xosview16.png
Source3: xosview32.png
Source4: xosview48.png

# Automatically added by buildreq on Tue Mar 21 2006
BuildRequires: gcc-c++ libXpm-devel linux-libc-headers

%description
The %name utility displays a set of bar graphs which show the current
system state, including memory usage, CPU usage, system load, etc.
Xosview runs under the X Window System.

%prep
%setup -q
# Strip hacks
sed -i -e 's/\$(CFLAGS) @EXTRA_CXXFLAGS@ -I@x_includes@ //' config/Makefile.config.in

%build
# Can't build both 2.0.x/2.1.x memstat modules
%configure \
	--x-includes=%_includedir \
	--x-libraries=%_libdir \
	--disable-linux-memstat
%make_build

%install
mkdir -p %buildroot{%_bindir,%_man1dir,%_x11appconfdir}
%make_install install PREFIX_TO_USE=%buildroot%prefix \
	XAPPLOADDIR=%buildroot%_x11appconfdir \
	INSTALL_ARGS=-pm755

install -pD -m644 %SOURCE1 %buildroot%_menudir/%name
install -pD -m644 %SOURCE2 %buildroot%_miconsdir/%name.png
install -pD -m644 %SOURCE3 %buildroot%_niconsdir/%name.png
install -pD -m644 %SOURCE4 %buildroot%_liconsdir/%name.png

%post
%update_menus

%postun
%clean_menus

%files
%config %_x11appconfdir/*
%_bindir/*
%_man1dir/*
%_menudir/*
%_liconsdir/*.png
%_niconsdir/*.png
%_miconsdir/*.png
%doc CHANGES README.linux TODO

%changelog
* Tue Mar 21 2006 Dmitry V. Levin <ldv@altlinux.org> 1.8.3-alt1
- Updated to 1.8.3.
- Fixed build with X11 in /usr.
- Updated build dependencies.

* Tue Jan 18 2005 ALT QA Team Robot <qa-robot@altlinux.org> 1.8.2-alt1.1
- Rebuilt with libstdc++.so.6.

* Thu Sep 02 2004 Dmitry V. Levin <ldv@altlinux.org> 1.8.2-alt1
- Updated to 1.8.2.

* Fri Jan 02 2004 Dmitry V. Levin <ldv@altlinux.org> 1.8.0-alt5
- Fix build with gcc3.3.

* Thu Sep 11 2003 Dmitry V. Levin <ldv@altlinux.org> 1.8.0-alt4
- Updated build dependencies.

* Wed Nov 27 2002 Dmitry V. Levin <ldv@altlinux.org> 1.8.0-alt3
- Fixed menu entry (#0001626).
- Additional convention enforcement on patch file names.

* Thu Oct 24 2002 Stanislav Ievlev <inger@altlinux.ru> 1.8.0-alt2
- rebuild with gcc3

* Wed Jun 05 2002 Dmitry V. Levin <ldv@altlinux.org> 1.8.0-alt1
- 1.8.0
- Updated urls.

* Tue Mar 12 2002 Stanislav Ievlev <inger@altlinux.ru> 1.7.3-ipl9mdk
- Rebuilt
- Added rpath patch from RH/MDK

* Wed Jan 17 2001 Dmitry V. Levin <ldv@fandra.org> 1.7.3-ipl8mdk
- RE adaptions.

* Fri Nov 17 2000 David BAUDENS <baudens@mandrakesoft.com> 1.7.3-8mdk
- Rebuild with gcc-2.96 & glibc-2.2

* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.7.3-7mdk
- automatically added BuildRequires

* Mon Jul 10 2000 dam's <damien@mandrakesoft.com> 1.7.3-6mdk
- minor specfile correction.

* Mon Jul 03 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.7.3-5mdk
- chmouelization
- build against new libstdc++

* Wed May 03 2000 dam's <damien@mandrakesoft.com> 1.7.3-4mdk
- Corrected icons.

* Tue Apr 18 2000 dam's <damien@mandrakesoft.com> 1.7.3-3mdk
- Convert gif icon to xpm.

* Mon Apr 17 2000 dam's <damien@mandrakesoft.com> 1.7.3-2mdk
- Added menu entry.

* Fri Mar 31 2000 dam's <damien@mandrakesoft.com> 1.7.3-1mdk
- upgrade to 1.7.3

* Fri Jan 21 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.7.2-4mdk

- fixed build on sparc.

* Wed Jan 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.7.2-3mdk
- libtoolize --force.
- use egcs on alpha.

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Enable SMP build/check

* Sat Jul 17 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 1.7.2

* Thu May 06 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 2)

* Mon Mar  8 1999 Jeff Johnson <jbj@redhat.com>
- updated to 1.7.1.

* Wed Mar  3 1999 Matt Wilson <msw@redhat.com>
- updated to 1.7.0

* Fri Feb  5 1999 Bill Nottingham <notting@redhat.com>
- build against new libstdc++, build on arm

* Tue Dec 22 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.6.2.a.

* Tue Jun 16 1998 Jeff Johnson <jbj@redhat.com>
- add sparc/alpha functionality.
- add %clean

* Mon Jun 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Mon Jun 01 1998 Erik Troan <ewt@redhat.com>
- how the hell did this get setuid root?

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 29 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 1.5.1 (so that it compiles with egcs)
- buildroot

* Tue Nov  4 1997 Erik Troan <ewt@redhat.com>
- commented out line causing core dumps when exiting

* Fri Oct 24 1997 Marc Ewing <marc@redhat.com>
- wmconfig

* Fri Aug 22 1997 Erik Troan <ewt@redhat.com>
- built against glibc
